#ifndef __MsgPopP_h
#define __MsgPopP_h

#include <X11/ShellP.h>
#include "MsgPop.h"

#include "msgwin.h"
#include "miniframe.h"

typedef struct{
	XtPointer extension;
} MsgPopClassPart;

typedef struct _MsgPopClassRec{
	CoreClassPart core_class;
    CompositeClassPart composite_class;
    ShellClassPart  shell_class;
	OverrideShellClassPart  override_shell_class;
	MsgPopClassPart msg_pop_class; 
} MsgPopClassRec;

extern MsgPopClassRec msgPopClassRec;

typedef struct _MsgPopPart {
	char *str;
	MessageWin *msgwin;
	MiniFrame  *miniframe;
	int dx, dy;
	FontNameList fnl;
} MsgPopPart;

typedef struct _MsgPopRec {
	CorePart	core;
	CompositePart   composite;
    ShellPart   shell;
	OverrideShellPart override;
	MsgPopPart msgpop;
} MsgPopRec;

#endif
