#ifndef __block_h_
#define __block_h_

#include "animate.h"
#include "obj.h"

typedef struct HTMLBlockObj {

	int off_x;
	int off_y;
	int width;
	int height;

	int border_top_width;
	int border_right_width;
	int border_bottom_width;
	int border_left_width;

	u_long border_pixel;		/* border   */
	u_long bg_pixel;			/* طʿ      */
	ImageData *bg_image;		/* ط pixmap */

	HTMLObjList obj;

} HTMLBlockObj, *HTMLBlockObjList;

HTMLBlockObj *blockobj_new(void);
void blockobj_delete(HTMLBlockObj *);
void blockobj_draw(Display *dpy, Drawable draw, GC gc, int x, int y, 
				   HTMLObj *o, int x1, int y1, int w, int h);

#endif
