#ifndef __dtd_h_
#define __dtd_h_

#include <stdio.h>

/* dtd infomation */
typedef enum {
	DTD_REPEAT_1,
	DTD_REPEAT_0or1,
	DTD_REPEAT_over0,
	DTD_REPEAT_over1
} DTDRepeatType;

typedef enum {
	DTD_NORMAL,
	DTD_KAKKO
} DTDObjType;

/* DTD  */
typedef struct DTDObj {
	struct DTDObj *next;	/* ȤФȤΰư */
	struct DTDObj *end;		/* λΰư     */
	DTDObjType type;		/* ̾勵 or    */
	DTDRepeatType repeat; 
	void *data;				/* NORMAL: TagInfo*  DTD_KAKKO: DTDObjList */
} DTDObj, *DTDObjList;

/* ѡݻ */
typedef struct DTDCur {
	struct DTDCur *next;
	DTDObj *cur;
	int mached;
	int allmached;
	int childmached;
	int afterpop;
} DTDCur;

typedef struct DTDName {
	struct DTDName *next;
	char *name;
} DTDName, *DTDNameList;

/* dtd.c */
DTDObj* dtdobj_new(void);
void dtdobj_delete(DTDObj *p);
void dtdobjlist_delete(DTDObjList l);
DTDCur* dtdcur_new(void);
void dtdcur_delete(DTDCur *p);

DTDName* dtdname_new(void);
void dtdname_delete(DTDName *p);
void dtdnamelist_delete(DTDNameList l);
void dtdobjlist_show(DTDObjList l);

/* dtd_y.y */
int dtd_readdtd(FILE *fp);

#endif
