#ifndef _msg_win_h_
#define _msg_win_h_

typedef struct {
	Window win;
	Display *dpy;
	Screen *screen;
	int w, h;
	int shaped;

	int mode;
	int radius;
	int border;
	int lx;
	int ly;
	
	/* ɽΰ */
	int off_x, off_y;
	int clip_w, clip_h;

	/* window ɽ */
	int xpos;
	int ypos;

	/* ɽֻ */
	int o_xpos;
	int o_ypos;

	GC	gc;

} MessageWin;

MessageWin *msgwin_new(void);
void msgwin_delete(MessageWin *p);

Window msgwin_create_win(MessageWin *, Display *, Window, int, int,
						 u_long, u_long);
void msgwin_reattach(MessageWin *msg);
void msgwin_attach_win(MessageWin *msg, Display *dpy, Window win);
void msgwin_setpos(MessageWin *msg, int, int, int dx, int dy, int automode);
void msgwin_reshape(MessageWin *msg);

#endif
