#ifndef _msgbuf_h_
#define _msgbuf_h_

#include <sys/types.h>

typedef struct {
	wchar_t *buf;
	int size;
	int cur;
} MessageBuffer;

MessageBuffer *msgbuf_new(void);
void msgbuf_delete(MessageBuffer *m);
void msgbuf_add(MessageBuffer *m, wchar_t ch);
wchar_t *msgbuf_cut(MessageBuffer *m);

#endif

