#ifndef _XLOCALE_H_
#define _XLOCALE_H_

#include <sys/types.h>

#ifndef DONTHAVECDEFS
#include <sys/cdefs.h>
#else
#define __BEGIN_DECLS
#define __END_DECLS
#define __P(args) args
#endif

#include "xwchar.h"

typedef struct _LocaleInfo {
	u_char mbcurmax;
	void   (*stateinit) __P((mbstate_t *));
	int    (*mbsinit) __P((const mbstate_t *));
	size_t (*mbrtowc) __P((wchar_t *, const char *, size_t, mbstate_t *));
	size_t (*wcrtomb) __P((char *, wchar_t, mbstate_t *));
 	void *info;
} _LocaleInfo;

extern _LocaleInfo *_CurrentLocaleInfo;

void set_coding_system(const char *locale);


#endif
