#ifndef __XMaid_h
#define __XMaid_h

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>

typedef struct _XMaidClassRec	*XMaidWidgetClass;
typedef struct _XMaidRec		*XMaidWidget;

extern WidgetClass xmaidWidgetClass;

#define XtNstartupCallback 	"startupCallback"
#define XtNmodulePath		"modulePath"
#define XtNmsgPath 			"msgPath"
#define XtNdataPath 		"dataPath"

#define XtNmodule		"module"
#define XtCModule		"Module"
#define XtNmoduleName	"moduleName"
#define XtCModuleName	"ModuleName"

#ifndef XtNcursor
#define XtNcursor "cursor"
#endif

#ifndef XtNcursorName
#define XtNcursorName "cursorName"
#endif

FILE *XMaidFileOpen(XMaidWidget xmw, const char *name, const char *mode);
char* XMaidDataPath(XMaidWidget xmw, const char *name);
void XMaidExposeRoot(XMaidWidget xmw, XEvent *ev);

#endif
